import rollupVueToHtml from 'w-package-tools/src/rollupVueToHtml.mjs'


let opt = {
    title: `w-audioplayer-vue`,
    head: `

    <!-- rollupVueToHtml已自動添加@babel/polyfill與vue -->

    <!-- data -->
    <script>
        let mp3s = [
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Ailee_暫別我的愛(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Aimer_Ninelie(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Aimer_s-AVE(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Aimer_Sleepless Nights(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Aimer_ポラリス(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Aimer_茜さす(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/A-Lin_月牙灣(夢想的聲音2)(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/A-Lin_幸福太短(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Amy Chanrich_其實，我就在你方圓幾里(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Anonymous_螢塚(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/B2ST_Fiction(piano)(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/BAAD_好想大聲叫喜歡你(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Brian Crain_Wind(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/DAOKO & 米津玄師_打上花火(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Davichi & Verbal Jint_사랑과 전쟁(融化)(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/GALA樂隊_追夢赤子心(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/HITA_洛陽夜雨(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/I NEED U(piano)(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Ian_By My Side(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Jason Chen & Alisa Galper_心動心痛(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Jason Chen_Senorita(demo).mp3',
            'https://cdn.jsdelivr.net/npm/w-demores@1.0.23/res/audio/Kobasolo & Lefty Hand Cream_No1(demo).mp3',
        ]

        let items = []
        for (let i = 0; i < mp3s.length; i++) {
            items.push({
                name: mp3s[i],
                url: encodeURI(mp3s[i])
            })
        }
        let kpMenu ={
            'AppBasic':{
                name: 'basic',
                color: '#aaa',
                backgroundColor: '#2b2b2b',
                classMode: 'dark',
                isHover: false,
                isActive: false,
            },
            'AppLanguage':  {
                name: 'language',
                color: '#aaa',
                backgroundColor: '#2b2b2b',
                classMode: 'dark',
                isHover: false,
                isActive: false,
            },
            'AppCustomSize': {
                name: 'custom size',
                color: '#aaa',
                backgroundColor: '#2b2b2b',
                classMode: 'dark',
                isHover: false,
                isActive: false,
            },
            'AppFullSize': {
                name: 'full size',
                color: '#aaa',
                backgroundColor: '#2b2b2b',
                classMode: 'dark',
                isHover: false,
                isActive: false,
            },
            'AppDarkCyan':  {
                name: 'dark cyan',
                color: '#aaa',
                backgroundColor: '#3a3a3a',
                classMode: 'dark',
                isHover: false,
                isActive: false,
            },
            'AppLightPink': {
                name: 'light pink',
                color: '#444',
                backgroundColor: '#fff',
                classMode: 'light',
                isHover: false,
                isActive: false,
            },
        }
        let kpOpt={
            'AppLanguage': {
                textDrop: '拖曳區',
                textDropMsg: '請拖曳檔案或資料夾進瀏覽器內',
                textPlayItem: '現正播放',
                textWaitUserPlay: '等待您開始播放',
                textTitlePlay: '播放',
                textTitlePause: '暫停',
                textTitleLoop: '循環播放',
                textTitleRepeat: '單曲播放',
                textTitleRandom: '隨機播放',
                textTitleDeleteAll: '刪除全部',
            },
            'AppDarkCyan': {
                dropTextColor: '#999',
                menuTextColor: '#999',
                textColor: 'rgba(120,210,250,1)',
                backgroundColor: '#222',
                barHeight: 4,
                barColor: 'rgba(120,210,250,1)',
                barBackgroundColor: '#333',
                menuIconColor: '#555',
                menuIconColorActive: 'rgba(120,210,250,1)',
                itemTextColor: '#777',
                itemTextColorActive: 'rgba(120,210,250,1)',
                itemTextColorHover: '#aaa',
                itemHeightMin: 50,
                itemSeplineColor: '#333',
                scrollBarColor: 'rgba(255,255,255,0.1)',
                scrollBarColorHover: 'rgba(255,255,255,0.2)',
            },
            'AppLightPink': {
                dropTextColor: '#444',
                menuTextColor: '#aaa',
                textColor: 'rgba(240,80,150,1)',
                backgroundColor: '#fafafa',
                barHeight: 6,
                barColor: 'rgba(240,80,150,1)',
                barBackgroundColor: '#ddd',
                menuIconColor: '#aaa',
                menuIconColorActive: 'rgba(240,80,150,1)',
                itemTextColor: '#aaa',
                itemTextColorActive: 'rgba(240,80,150,1)',
                itemTextColorHover: 'rgba(240,80,150,0.7)',
                itemHeightMin: 40,
                itemSeplineColor: '#dadada',
                scrollBarColor: 'rgba(0,0,0,0)',
                scrollBarColorHover: 'rgba(0,0,0,0.15)',
            },
        }
        //save in window
        window.items=items
        window.kpOpt=kpOpt
        window.kpMenu=kpMenu
    </script>

    `,
    newVue: ``,
    globals: {
    },
    external: [
    ],
}
rollupVueToHtml('./src/App.vue', './docs/examples/app.html', opt)

